Bug 1514791 - [abrt] gnome-software: g_str_hash(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: g_str_hash(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:41bc02c22891c37f6d9b385bd0f...
: 1514783 1514976 1515006 1515054 1515160 1515409 1516023 1516141 1517083 1517100 1533556 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-18 16:25 UTC by bfouillot
Modified: 2018-11-30 22:28 UTC (History)
19 users (show)

Fixed In Version: gnome-software-3.26.3-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:28:25 UTC


Attachments (Terms of Use)
File: backtrace (38.93 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: cgroup (195 bytes, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: core_backtrace (21.09 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: cpuinfo (1.36 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: dso_list (18.64 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: environ (1.47 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: exploitable (82 bytes, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: limits (1.29 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: maps (88.20 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: mountinfo (3.78 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: open_fds (3.82 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details
File: var_log_messages (5.54 KB, text/plain)
2017-11-18 16:25 UTC, bfouillot
no flags Details

Description bfouillot 2017-11-18 16:25:07 UTC
Description of problem:
just opening Software after install, it crashed while loading catalogue

Version-Release number of selected component:
gnome-software-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_str_hash
executable:     /usr/bin/gnome-software
journald_cursor: s=abbe26685c01424ca6475b7823b4f683;i=22fc;b=bf08289d4f744739b4b68c06c3aa1172;m=2149bbe7;t=55e42cf24fc4b;x=b58567847ffe3f97
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1882
 #1 g_hash_table_lookup_node at ghash.c:379
 #2 g_hash_table_lookup at ghash.c:1153
 #3 gs_plugin_cache_add at ../lib/gs-plugin.c:1552
 #4 gs_plugin_fwupd_new_app_from_device at ../plugins/fwupd/gs-plugin-fwupd.c:390
 #5 gs_plugin_fwupd_add_updates at ../plugins/fwupd/gs-plugin-fwupd.c:723
 #6 gs_plugin_loader_call_vfunc at ../lib/gs-plugin-loader.c:653
 #7 gs_plugin_loader_run_results at ../lib/gs-plugin-loader.c:1094
 #8 gs_plugin_loader_process_thread_cb at ../lib/gs-plugin-loader.c:3087
 #9 g_task_thread_pool_thread at gtask.c:1328

Potential duplicate: bug 1231697

Comment 1 bfouillot 2017-11-18 16:25:14 UTC
Created attachment 1354783 [details]
File: backtrace

Comment 2 bfouillot 2017-11-18 16:25:15 UTC
Created attachment 1354784 [details]
File: cgroup

Comment 3 bfouillot 2017-11-18 16:25:18 UTC
Created attachment 1354785 [details]
File: core_backtrace

Comment 4 bfouillot 2017-11-18 16:25:19 UTC
Created attachment 1354786 [details]
File: cpuinfo

Comment 5 bfouillot 2017-11-18 16:25:21 UTC
Created attachment 1354787 [details]
File: dso_list

Comment 6 bfouillot 2017-11-18 16:25:23 UTC
Created attachment 1354788 [details]
File: environ

Comment 7 bfouillot 2017-11-18 16:25:25 UTC
Created attachment 1354789 [details]
File: exploitable

Comment 8 bfouillot 2017-11-18 16:25:27 UTC
Created attachment 1354790 [details]
File: limits

Comment 9 bfouillot 2017-11-18 16:25:29 UTC
Created attachment 1354791 [details]
File: maps

Comment 10 bfouillot 2017-11-18 16:25:31 UTC
Created attachment 1354792 [details]
File: mountinfo

Comment 11 bfouillot 2017-11-18 16:25:33 UTC
Created attachment 1354793 [details]
File: open_fds

Comment 12 bfouillot 2017-11-18 16:25:35 UTC
Created attachment 1354794 [details]
File: proc_pid_status

Comment 13 bfouillot 2017-11-18 16:25:37 UTC
Created attachment 1354795 [details]
File: var_log_messages

Comment 14 bfouillot 2017-11-18 18:33:53 UTC
Similar problem has been detected:

Software keeps crashing before displaying anything

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_str_hash
executable:     /usr/bin/gnome-software
journald_cursor: s=abbe26685c01424ca6475b7823b4f683;i=22fc;b=bf08289d4f744739b4b68c06c3aa1172;m=2149bbe7;t=55e42cf24fc4b;x=b58567847ffe3f97
kernel:         4.13.12-300.fc27.x86_64
package:        gnome-software-3.26.2-1.fc27
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Mike Basinger 2017-11-20 00:14:54 UTC
*** Bug 1515006 has been marked as a duplicate of this bug. ***

Comment 16 chrisoswald 2017-11-20 04:08:39 UTC
*** Bug 1515054 has been marked as a duplicate of this bug. ***

Comment 17 Vittorio Roberto Alfieri 2017-11-20 09:49:01 UTC
*** Bug 1515160 has been marked as a duplicate of this bug. ***

Comment 18 Ruben Vermeersch 2017-11-20 18:37:21 UTC
*** Bug 1515409 has been marked as a duplicate of this bug. ***

Comment 19 Kalev Lember 2017-11-21 11:13:55 UTC
*** Bug 1514783 has been marked as a duplicate of this bug. ***

Comment 20 Kalev Lember 2017-11-21 11:14:12 UTC
*** Bug 1514976 has been marked as a duplicate of this bug. ***

Comment 21 Fedora Update System 2017-11-21 11:35:45 UTC
gnome-software-3.26.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3a3ec01d1

Comment 22 David Voit 2017-11-21 17:13:01 UTC
Hi all,

The new version now works fine for me (it started again, and I was able to install a package).

Thanks!
David

Comment 23 chrisoswald 2017-11-22 02:00:47 UTC
gnome-software-3.26.3-1.fc27 works for me.
updated rpm and program worked as expected.
thank you

Comment 24 Fedora Update System 2017-11-22 06:32:34 UTC
gnome-software-3.26.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3a3ec01d1

Comment 25 Matthew Hagan 2017-11-22 19:31:09 UTC
Similar problem has been detected:

Display flicker off and on 2-3 times on laptop screen and occasionally hang shortly after Dell WD15 USB-C dock is plugged in to Dell xps 9560.
If laptop is booted with the WD15 attached, gnome desktop will appear, then the flickering/hanging will commence.
There is no display attached to the WD15, only usb and ethernet.
This issue occurred previously on my xps 9550 but believed had been solved in June as had not occurred on FC25/26 and FC27 until around a week ago. fwupd may be a potential culprit.
Please see ubuntu bug 1701499
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1701499


journalctl entries
Nov 22 19:00:08 dell-9560 fwupd[1588]: already added UEFI-34578c72-11dc-4378-bc7f-b643866f598c-dev0 by uefi
Nov 22 19:00:09 dell-9560 fwupd[1588]: using plugins: ebitdo, thunderbolt, dell, steelseries, dfu, unifying, colorhug, udev, upower, altos, amt, synapticsmst, uefi
Nov 22 19:00:09 dell-9560 gnome-software[1504]: fwupd_release_get_appstream_id: assertion 'FWUPD_IS_RELEASE (release)' failed
Nov 22 19:00:09 dell-9560 audit[1504]: ANOM_ABEND auid=0 uid=0 gid=0 ses=1 pid=1504 comm="pool" exe="/usr/bin/gnome-software" sig=11 res=1
Nov 22 19:00:09 dell-9560 gnome-software[1504]: as_utils_unique_id_build: assertion 'id != NULL' failed
Nov 22 19:00:09 dell-9560 gnome-software[1504]: gs_plugin_cache_lookup: assertion 'key != NULL' failed
Nov 22 19:00:09 dell-9560 systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Nov 22 19:00:09 dell-9560 systemd[1]: Started Process Core Dump (PID 2261/UID 0).
Nov 22 19:00:09 dell-9560 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-2261-0 comm="systemd" exe="/usr/lib/systemd/s
Nov 22 19:00:09 dell-9560 systemd-coredump[2262]: Process 1504 (gnome-software) of user 0 dumped core.

dmesg entries
[   36.701323] NOHZ: local_softirq_pending 08
[   37.454087] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to enable link training
[   37.548580] kauditd_printk_skb: 50 callbacks suppressed
[   37.548581] audit: type=1131 audit(1511377218.141:219): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   37.653035] audit: type=1131 audit(1511377218.245:220): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   37.722537] [drm:intel_mst_pre_enable_dp [i915]] *ERROR* failed to allocate vcpi
[   37.799565] audit: type=1131 audit(1511377218.392:221): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-localed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   39.509581] NOHZ: local_softirq_pending 08
[   47.261774] NOHZ: local_softirq_pending 08
[   67.843308] audit: type=1131 audit(1511377248.436:222): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=timedatex comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'



reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_str_hash
executable:     /usr/bin/gnome-software
journald_cursor: s=8087c6f3f33d49058cc25aaab714ebd4;i=8c3;b=4435349a5a08418b955939d759c7567c;m=1c06714;t=55e96edb37ca8;x=dbe2ebd470084296
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-software-3.26.2-1.fc27
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 26 Matthew Hagan 2017-11-22 19:58:01 UTC
This bug is not a duplicate of 1514791.

Downgrading the libsmbios packages has removed the problem. Note that this caused errors with fwupd. I have downgraded it also.

Packages Altered:
    Downgrade  libsmbios-2.3.0-6.fc27.x86_64        @fedora
    Downgraded           2.3.3-1.fc27.x86_64        @updates
    Downgrade  smbios-utils-bin-2.3.0-6.fc27.x86_64 @fedora
    Downgraded                  2.3.3-1.fc27.x86_64 @updates

Packages Altered:
    Downgrade  fwupd-0.9.7-1.fc27.x86_64           @fedora
    Downgraded       1.0.1-3.fc27.x86_64           @updates
    Downgrade  fwupd-labels-0.9.7-1.fc27.x86_64    @fedora
    Downgraded              1.0.1-3.fc27.x86_64    @updates
    Downgrade  gnome-software-3.26.1-3.fc27.x86_64 @fedora
    Downgraded                3.26.2-1.fc27.x86_64 @updates
    Install    libdfu-0.9.7-1.fc27.x86_64          @fedora

Having the WD15 dock plugged in no longer causes flickering or crashing in this state.

Comment 27 ltournayre 2017-11-24 07:20:40 UTC
*** Bug 1517083 has been marked as a duplicate of this bug. ***

Comment 28 lejeczek 2017-11-24 08:22:56 UTC
*** Bug 1517100 has been marked as a duplicate of this bug. ***

Comment 29 Costa Tsaousis 2017-11-25 00:44:03 UTC
Similar problem has been detected:

just opened software center.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_str_hash
executable:     /usr/bin/gnome-software
journald_cursor: s=9026f402f8a9413c9bf7a9595f1f7a9d;i=d3c04;b=bfd9a55116cb4d20bc704bf59f03dc8f;m=28f989fd5;t=55eb2ccadecae;x=d7f3c2519bd650bb
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-software-3.26.2-1.fc27
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 30 Fedora Update System 2017-11-25 02:37:45 UTC
gnome-software-3.26.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Alessio 2017-12-13 22:28:11 UTC
Similar problem has been detected:

It appears often, but I don't know why. Maybe a background process?

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_str_hash
executable:     /usr/bin/gnome-software
journald_cursor: s=83c1afd4b88742ac8fca6f3c64fa1ed7;i=adf4;b=628375a0b82240cfbc0f3ed76f065618;m=6c2b4febe;t=5603ce51ecf40;x=ef69e98893087bb5
kernel:         4.14.3-300.fc27.x86_64
package:        gnome-software-3.26.3-1.fc27
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 32 Kalev Lember 2017-12-18 11:17:58 UTC
*** Bug 1516141 has been marked as a duplicate of this bug. ***

Comment 33 Kalev Lember 2017-12-18 11:19:01 UTC
*** Bug 1516023 has been marked as a duplicate of this bug. ***

Comment 34 Klaas Demter 2018-01-07 16:44:41 UTC
I still seem to have this problem with latest updates
gnome-software-3.26.4-1.fc27.x86_64 on kernel-4.14.11-300.fc27.x86_64

Comment 35 jan p. springer 2018-01-11 16:18:16 UTC
*** Bug 1533556 has been marked as a duplicate of this bug. ***

Comment 36 Ben Cotton 2018-11-27 14:43:09 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 37 Ben Cotton 2018-11-30 22:28:25 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.